L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de MariaDB : élévation de privilèges via SST Illegal Character

Synthèse de la vulnérabilité 

Un attaquant peut contourner les restrictions via SST Illegal Character de MariaDB, afin d'élever ses privilèges.
Systèmes vulnérables : Debian, MariaDB ~ précis, openSUSE Leap, RHEL, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Gravité de cette menace : 2/4.
Date de création : 08/10/2020.
Références de cette faille : CVE-2020-15180, DLA-2409-1, DSA-4776-1, openSUSE-SU-2020:2090-1, openSUSE-SU-2020:2149-1, openSUSE-SU-2020:2254-1, RHSA-2020:5246-01, RHSA-2020:5500-01, RHSA-2020:5654-01, RHSA-2020:5663-01, RHSA-2020:5665-01, SUSE-SU-2020:3497-1, SUSE-SU-2020:3500-1, SUSE-SU-2020:3564-1, USN-4603-1, VIGILANCE-VUL-33506.

Description de la vulnérabilité 

Un attaquant peut contourner les restrictions via SST Illegal Character de MariaDB, afin d'élever ses privilèges.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Cette annonce de faille informatique concerne les logiciels ou systèmes comme Debian, MariaDB ~ précis, openSUSE Leap, RHEL, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Notre équipe Vigil@nce a déterminé que la gravité de cette annonce de vulnérabilité informatique est moyen.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de compte utilisateur.

Un attaquant avec un niveau de compétence expert peut exploiter ce bulletin de faille informatique.

Solutions pour cette menace 

MariaDB : version 10.5.6.
La version 10.5.6 est corrigée :
  https://downloads.mariadb.org/mariadb/10.5.6

MariaDB : version 10.4.15.
La version 10.4.15 est corrigée :
  https://downloads.mariadb.org/mariadb/10.4.15

MariaDB : version 10.3.25.
La version 10.3.25 est corrigée :
  https://downloads.mariadb.org/mariadb/10.3.25

MariaDB : version 10.2.34.
La version 10.2.34 est corrigée :
  https://downloads.mariadb.org/mariadb/10.2.34

MariaDB : version 10.1.47.
La version 10.1.47 est corrigée :
  https://downloads.mariadb.org/mariadb/10.1.47

MariaDB : patch pour SST Illegal Character.
Un patch est indiqué dans les sources d'information.

Debian 9 : nouveaux paquetages mariadb-10.1.
De nouveaux paquetages sont disponibles :
  Debian 9 : mariadb-10.1 10.1.47-0+deb9u1

Debian : nouveaux paquetages mariadb-10.3.
De nouveaux paquetages sont disponibles :
  Debian 10 : mariadb-10.3 1:10.3.25-0+deb10u1

openSUSE Leap 15.1 : nouveaux paquetages mariadb.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.1 : mariadb 10.2.36-lp151.2.18.1

openSUSE Leap 15.2 : nouveaux paquetages mariadb (15/12/2020).
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.2 : mariadb 10.4.17-lp152.2.8.1

openSUSE Leap 15.2 : nouveaux paquetages mariadb (30/11/2020).
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.2 : mariadb 10.2.36-lp152.2.6.1

Percona XtraDB Cluster : version 5.6.49-28.42.2.
La version 5.6.49-28.42.2 est corrigée :
  https://www.percona.com/

Percona XtraDB Cluster : version 8.0.20-11.2.
La version 8.0.20-11.2 est corrigée :
  https://www.percona.com/

RHEL 7 : nouveaux paquetages rh-mariadb103.
De nouveaux paquetages sont disponibles :
  RHEL 7.0-7.9 : rh-mariadb103-galera 25.3.31-1.el7, rh-mariadb103-mariadb 10.3.27-1.el7

RHEL 8.0 : nouveau module mariadb-10.3.
Le module suivant est mis à jour :
  RHEL 8.0 Module : mariadb:10.3

RHEL 8.1 : nouveau module mariadb-10.3.
Le module suivant est mis à jour :
  RHEL 8.1 Module : mariadb:10.3

RHEL 8.2 : nouveau module mariadb-10.3.
Le module suivant est mis à jour :
  RHEL 8.2 Module : mariadb:10.3

RHEL 8 : nouveau module mariadb-10.3.
Le module suivant est mis à jour :
  RHEL 8 Module : mariadb:10.3

SUSE LE 12 SP4-SP5 : nouveaux paquetages mariadb.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP5 : mariadb 10.2.36-3.33.1
  SUSE LE 12 SP4 : mariadb 10.2.36-3.33.1

SUSE LE 15 : nouveaux paquetages mariadb.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 SP1 : mariadb 10.2.36-3.34.4
  SUSE LE 15 RTM : mariadb 10.2.36-3.34.4

SUSE LE 15 SP2 : nouveaux paquetages mariadb.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 SP2 : mariadb 10.4.17-3.6.1

Ubuntu : nouveaux paquetages mariadb-server.
De nouveaux paquetages sont disponibles :
  Ubuntu 20.04 LTS : mariadb-server 1:10.3.25-0ubuntu0.20.04.1
  Ubuntu 18.04 LTS : mariadb-server 1:10.1.47-0ubuntu0.18.04.1
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit une contre-mesure de vulnérabilités de systèmes. Le service de veille sur les vulnérabilités informatiques Vigil@nce alerte vos équipes des failles et des menaces qui concernent votre système d'information.